Skip to main content
PUT
Update a beneficiary

Headers

Authorization
enum<string>
default:NONE
required

Reserved for PCX-managed applications. External API integrations must always send the literal string NONE — this is the only accepted value.

Available options:
NONE
Example:

"NONE"

X-Api-Key
string
default:NONE
required

Your API key. This is the only supported credential.

Example:

"pcx_abc123_xxxx"

Path Parameters

beneficiary_id
string
required

Body

application/json

All fields are optional — only supplied fields are updated. account_type and beneficiary_of cannot be changed after creation.

country
string
currency
string
fname
string
lname
string
email
string<email>
phone_number
string
momo_details
object
bank_details
object

Response

Updated beneficiary

beneficiary_id
string
account_type
enum<string>

bank — bank account (details in bank_details). momo — mobile money account (details in momo_details).

Available options:
bank,
momo
beneficiary_of
string

User ID of the beneficiary owner.

beneficiary_type
enum<string>
default:payout_recipient
Available options:
loan_client,
payout_recipient
fname
string
lname
string
email
string | null
phone_number
string | null
country
string
currency
string
bank_details
object | null
momo_details
object | null
loan_client_details
object | null
external_account_id
string | null
org_id
string | null
created_at
string<date-time>
updated_at
string<date-time>